# Security center

## Overview

### Product introduction
The security center is a management tool based on KYSEC security framework. It provides functions such as system security physical examination, account protection configuration, firewall configuration, networking control, virus protection, application source inspection, application execution control，application protection ，Peripheral Management and other functions , so as to ensure the security and stability of the system operating environment.

### Product Highlights
The security center integrates the functions of Security Scan, Account Protection, Network Protection, Virus Protection and Application Protection to comprehensively ensure the security of the system operation environment. 

- Security scan:it provides multi-dimensional scanning and one click repair of account security, operation security and system security, which can automatically update vulnerability patches and find system security risks in time.

- Account protection: provide the system account password strength check and account locking mechanism, realize the unified control of the system account, improve the security defense ability of the system account, and effectively prevent the password from being brutally cracked.

- Network protection: provide firewall and application networking control function, protect unknown application network behavior in real time, block active outreach and other abnormal network activities, and improve network access security.

- Virus defense: it provides a unified management entrance for anti-virus software, which can be compatible with a variety of mainstream virus protection software, prevent virus intrusion in real time and protect system security.

- Application control: provide application source check and application execution control functions to prevent illegal installation and malicious execution of unknown software and applications, avoid trojan virus attacks, and ensure the safety and reliability of the system operating environment.

- Application protection: it provides process anti killing, kernel module anti unloading and file anti tampering functions to protect the integrity of key files of the system and prevent abnormal interruption of key application services of the system.

- Device security: Provide multiple protection and control functions for external equipment access, effectively preventing the accidental loss and malicious theft of important system data.

## Getting started

### Software location
Click "Start Menu" of the operating system, select and click "security center" to open the security center software interface, as shown in Figure 1.

![Figure 1 Start menu (open security center)-big](image/1.png)

Click the "Start Menu" of the operating system, then click "Settings", and then click "security and update" to display the home page of the security center. Click the "open security center" button to open the security center software interface, as shown in Figure 2.

![Figure 2 Settings (Open Security Center))-big](image/2.png)

### Get help
Click the icon in the security center software interface and click the "help" button to pop up the "user manual" pop-up window to display the relevant information of the security center's help manual, as shown in Figure 3.

![Figure 3 User Manual-big](image/3.png)

### Mode support
The display mode of security center software interface changes with the system theme, as shown in Figure 4.

![Figure 4 Light Mode-big](image/4.png)

Click the taskbar ![](image/black.png) button to switch between light mode and dark mode, as shown in Figure 5.

![Figure 5 Dark Mode-big](image/5.png)

### Language support
The security center software interface follows the system language setting by default and supports Chinese and English, as shown in figures 6 to 7.

![Figure 6 Chinese display-big](image/6.png)

![Figure 7 English display-big](image/7.png)

### About
Click the icon in the security center software interface and click the "about" button to pop up the "about" pop-up window, displaying the software version information, as shown in Figure 8.

![Figure 8 About-big](image/8.png)

## Front page

The home page shows the security status of the six functional modules of security physical examination, account protection, virus protection, network protection, application protection and device security, which can make users more intuitively understand the current security and operation of the system. At the same time, it provides the operation entrance of each functional module to facilitate users to quickly jump functions and deal with potential risks in time, as shown in Figure 9.

![Figure 9 Home page of security center-big](image/9.png)

## Security Scan

When the system has never had a physical examination, the home page of safety physical examination is displayed as shown in Figure 10.

![Figure 10 home page of Security Scan (never Security Scan)-big](image/10.png)

After the system physical examination, the home page of safety physical examination displays the last physical examination time, physical examination duration, the number of risk problems found and the number of physical examination scanning items, as shown in Figure 11.

![Figure 11 home page of Security Scan (display the last physical examination information)-big](image/11.png)

### Security Scan Items
Safety physical examination items mainly include level I and level II physical examination items. Among them, there are three types of first-class physical examination items, including account detection, security detection and system detection; There are 18 items of level II physical examination, which are divided into risk problems and optimization suggestions. Risk issues include: user file permissions, system file permissions, process protection, module anti uninstall, file protection, networking control, execution control, source check, remote service, firewall and address randomization; Optimization suggestions include: password strength, risk account, account locking, system update, application integrity, file integrity and vulnerability update, which are not included in risk issues.

### Last physical examination
Click the "last physical examination" button to pop up the "view last physical examination" pop-up window, which displays the number of problems scanned last time, the number of successful repairs, the number of failed repairs, the number of items not repaired and the number of optimization suggestions, and displays the detailed system physical examination problem information in the list of last physical examination. The inspection items or problem descriptions can be quickly retrieved and located through the search box, As shown in Figure 12.

![Figure 12 Check the last physical examination-big](image/12.png)

### Medical Scan

Click the "start physical examination" button to conduct system security physical examination, dynamically display the physical examination scanning progress, and synchronously display the information of each physical examination item and physical examination results, as shown in Figure 13.

![Figure 13 safety physical examination scanning-big](image/13.png)

If no risk problem items and optimization suggestions are found in the safety physical examination, directly jump to the scanning completion page and prompt "no problem found, your computer is safe", as shown in Figure 14.

![Figure 14 Security Scaning completed (no risk problems and optimization suggestions found) -big](image/14.png)

If no risk problems are found in the safety physical examination and there are optimization suggestions, directly jump to the scanning completion page and display the contents of optimization suggestions, click the "go to Settings" button to jump to the repair page for manual repair, as shown in Figure 15.

![Figure 15 complete of Security Scaning (no risk problems are found and there are optimization suggestions) -big](image/15.png)

If risk problem items are found in the safety physical examination, the scanned risk problem items and optimization suggestions are displayed in the first column, and the risk problem items are prompted in red, as shown in Figure 16.

![Figure 16 complete of Security Scaning (risk problems found)-big](image/16.png)

### Problem fix

#### Single Repair
Click the problem risk item icon area to pop up the corresponding "risk details" pop-up window, which provides repair processing, ignore all and ignore single items, as shown in Figure 17. Click the "handle" button to repair all the displayed risk problems; Click the "ignore all" button to ignore all risk problems, and the risk will still be scanned in the next physical examination; Click the "ignore" button to ignore the single item, and the single risk will still be scanned in the next physical examination.

![Figure 17 Risk details-big](image/17.png)

Click the optimization suggestion icon area to pop up the corresponding "optimization details" pop-up window, which provides the functions of go setting and ignore all, as shown in Figure 18. Click the "go to Settings" button to jump to the repair page for manual repair; Click the "ignore all" button to ignore all optimization problems, and the optimization suggestions will still be scanned in the next physical examination.

![Figure 18 Optimization details-big](image/18.png)

#### One click repair
All risk problem items are checked by default or can be unchecked. Click the "one click repair" button to repair all checked risk problem items with one click. It cannot be cancelled during the repair process, as shown in Figure 19.

![Figure 19One click repair-big](image/19.png)

### Repair complete
After the repair, there are no risk problems and optimization suggestions in the system, as shown in Figure 20. Click "finish" to return to the home page of physical examination.

![Figure 20 Repair completed (no risk in the system)-big](image/20.png)

After the repair, there are still risk problems in the system, as shown in Figure 21. If you need to repair this item, please have a physical examination again.

Click "finish" to return to the home page of physical examination.

![Figure 21 Repair completed (there are still risk problems)-big](image/21.png)

After the repair, there are still optimization suggestions in the system, as shown in Figure 22. Click the "go to Settings" button to jump to the system settings page to complete the manual repair.
Click "finish" to return to the home page of physical examination.

![Figure 22 Repair completed (there are still optimization suggestions) -big](image/22.png)

## Account protection
The security center provides system account password strength policy configuration and account locking policy configuration. Click the "account protection" button on the home page or the "account protection" tab in the left list to enter, as shown in Figure 23.

![Figure 23 Account protection Homepage-big](image/23.png)

### password strength

The password strength function can be turned on or off. When it is enabled, the system account needs to comply with the requirements of the current password strength policy; When closed, the system account has no password strength limit.
Password strength provides two configuration modes: recommendation and customization, as shown in Figure 24.
- Recommended: at least 8 characters, including 2 kinds of uppercase letters, lowercase letters, numbers and special symbols. The password is prohibited to include configuration policies such as user name; 
- Custom: customize the corresponding password strength policy as needed

![Figure 24 Custom password strength policy-big](image/24.png)

The user defined password strength policy configuration interface provides the following settings:

-  Minimum password length, setting range 1 to 32 bits;

-  The password shall contain at least 1 to 4 character types;

- The password cannot contain the user name, and the function can be enabled or disabled;

- Password palindrome check: the password with the same positive and negative reading will not be set successfully, and the function can be enabled or disabled;

- Password similarity check: the password with high similarity to the original password cannot be set successfully. If only the case of letters is changed, the function can be enabled or disabled;

- Password dictionary check: The common passwords of users are stored in the password dictionary. The passwords with the same characters as those in the dictionary will not be set successfully, and the function can be enabled or disabled;

- Password validity: including 7 days, 30 days, 90 days, 180 days and permanent, which is permanent by default;

- Password expiration reminder includes 3 days, 7 days and 15 days. When the password validity time is set to 7 days, only 3 days can be selected for password expiration reminder;

- Password palindrome check, password similarity check and password dictionary check provide function description prompt. When the mouse hovers over the prompt icon, the detailed description of the corresponding item is displayed；

### Account lock
The account locking function can be turned on or off. When the account is opened, the system account needs to follow the requirements of the current account locking policy; When closed, the system account has no account locking restrictions.
The account locking function provides the configuration of the number of consecutive wrong password entries and the account locking time. Number of consecutive wrong password entries: set the range from 5 to 10, and the default is 5; Account locking time: 1 minute, 3 minutes, 5 minutes, 10 minutes and 15 minutes. The default is 3 minutes.

## Virus protection

The security center provides virus protection to protect your system from threats. Click the "virus protection" button on the home page or the "virus protection" tab in the list on the left to enter, as shown in Figure 25.

When the system has installed the third-party virus protection software, the operable third-party virus protection software will be automatically displayed; It provides the functions of opening applications and scanning immediately. When virus protection software is not installed in the system, this function is automatically hidden in the security center.

![Figure 25 Virus protection Homepage-big](image/25.png)

The security center can automatically identify the registration status of the virus protection software in the current system. If the virus protection software is not installed or uninstalled in the system, the Virus Protection button on the home page and the Virus Protection TAB page in the left list are automatically hidden on the security center page.

## Network Protection

The security center provides firewall and networking control functions to protect the network security of the system. Click the "network protection" button on the home page or the "network protection" tab in the list on the left to enter, as shown in Figure 26.

![Figure 26 Network protection Homepage-big](image/26.png)

### Firewall

Set firewall access rules to protect system network security. Click the switch button to turn on or off the firewall function.
When the firewall is turned on, three access modes are provided: public network, office network and custom. 

- Public network: For public networks,the device is set to be undetectable; 

- Office network:For home or work networks,the device is set to be detectable; 

- Custom: Set firewall access rules as needed；

When the firewall is closed, all firewall access rules are invalid, and the system is vulnerable to network attacks, as shown in Figure 27.

![Figure 27 Closing the firewall-big](image/27.png)

When the firewall selects the custom mode, the "Custom firewall access rules" pop-up window will pop up, as shown in Figure 28.

![Figure 28 Custom firewall access rules-big](image/28.png)

In the firewall service list, click the "Add" button to pop up the "Add" pop-up window, where you can manually enter the name, version, summary, details and other information. Select the corresponding protocol and enter the port number, and click "Confirm" to finish adding the configuration, as shown in Figure 29.

![Figure 29 Add Service-big](image/29.png)

In the firewall protocol and port list, click the "Add" button to pop up the "Add protocol and port" pop-up window, select the corresponding protocol and enter the port number, and click the "Confirm" button to complete the add configuration, as shown in Figure 30.

![Figure 30 Add protocol and port-big](image/30.png)

### Network control

Set application networking control strategy to protect system network security. The networking control function provides on and off configurations, as shown in Figure 31.
- Enable: please prompt me when unauthorized application and service networking are detected; 

- Disable: allow any application to network.


![Figure 31 Networked control-big](image/31.png)

When the networking control function is enabled, click the "advanced configuration" button to pop up the "advanced configuration - networking control" pop-up window. You can configure the networking control strategy for a single application or service, and provide blocking, alarm and permission, as shown in Figure 32.

![Figure 32 Advanced configuration - network control-big](image/32.png)

When an unauthorized application or service is connected to the Internet, the system automatically pops up the "Kylin Security Authorization Authentication" pop-up window, providing permission, permanent prohibition, and current prohibition, as shown in Figure 33.

![Figure 33 Network Control-Kylin Security Authorization Authentication-big](image/33.png)

The application or service networking control strategy is blocking. When the application or service is connected to the Internet, the system automatically pops up a "security notification" pop-up window, prompting that the application or service is blocked, as shown in Figure 34.

![Figure 34 Network Control-Security Notice-big](image/34.png)

## Application Protection

The security center provides application protection function to protect your system from security threats. Click the "application protection" button on the home page or the "application protection" tab in the left menu bar to enter, as shown in Figure 35.

![Figure 35 application protection Homepage-big](image/35.png)

### Application source check
Set the application installation strategy of unknown source to protect the reliable operation environment of the system. The source check function provides three mode configurations, as shown in Figure 33. 

- Prevent: block the installation of applications from unknown sources; 

- Warning: please prompt me when installing applications from unknown sources; 

- Disable: allows the installation of applications from any source；

When an application from an unknown source is installed, the system automatically pops up the "Kylin Security Authorization Authentication" pop-up window, providing permission and prohibition, as shown in Figure 36.

![Figure 36 Application source check-Kylin security authorization certification-big](image/36.png)

The application source check mode is blocking. When an application from an unknown source is installed, the system automatically pops up a "Security Notification" pop-up window, prompting that the application installation has been blocked, as shown in Figure 37.

![Figure 37 Application source check-security notification-big](image/37.png)

### Application execution control
Set the unauthenticated application execution policy to protect the security of the system operation environment. The execution control function provides three mode configurations, as shown in Figure 33. Block: block the execution of unauthenticated applications; Warning: please prompt me when executing an unauthenticated application; Close: allows execution of any application.

Click the "advanced configuration" button to pop up the "advanced configuration - application execution control" pop-up window. The application execution control list includes serial number, file path, file type and current status, as shown in Figure 38.
- File types include: executable program, shared library, executable script and kernel module file.

- The current status includes: tampered, corrupted, and authenticated. Tampered: indicates that the file has been tampered with and the file type has not changed. Such files can be authenticated and de authenticated, or can be manually restored by reinstalling the corresponding software package; Damaged: indicates that the file has been tampered with and the file type has been damaged. Such files cannot be authenticated or de authenticated, but can only be recovered or reinstalled with the corresponding software package for manual recovery; Authenticated: indicates that the file has not been tampered with.

- Operations include authentication and cancellation. Authentication: re authenticate and trust the "Tampered" application. After successful authentication, the current state changes to "Certified", and the current application can be executed; Release: release the "Tampered" or "Certified" application from authentication and distrust. The application execution control list will automatically clear the application information, and the current application cannot be executed;

- By default, it is sorted in the order of tampered, damaged and authenticated.

![Figure 38 Advanced configuration - application execution control (brief information)-big](image/38.png)

Click the "add" button to pop up the "add application benchmark value" pop-up box. You can add and select a single application or directory. Adding a directory is to scan all applications under the current directory, as shown in Figure 39.

![Figure 39  Adding application benchmarks-big](image/39.png)

The execution control list is displayed according to the brief information by default, and only the newly installed application information is displayed, as shown in Figure 38. Click the "details" button to switch and display all application information of the system, as shown in Figure 40.

![Figure 40 Advanced configuration - application execution control (details)-big](image/40.png)

When the unauthenticated application is executed, the system automatically pops up the "Kylin Security Authorization Authentication" pop-up window to provide permission, this time permission and prohibition, as shown in Figure 41.

![Figure 41 Application execution control-Kylin security authorization authentication-big](image/41.png)

The application execution control mode is blocking. When an unauthenticated application is executed, the system automatically pops up a "security notification" pop-up window, prompting that the application execution has been blocked, as shown in Figure 42. 

![Figure 42 Application Execution Control-Security Notification-big](image/42.png)
### Application Protection Control
Set the system security protection strategy, protect the configured applications in real time, and protect the stable operation of key services of the system. The application protection control function provides on and off configuration. When on, real-time protection configuration application; When closed, no protection mechanism is applied, as shown in Figure 35.
Click the "advanced configuration" button to pop up the "advanced configuration - application protection control" pop-up box, which provides the functions of process anti killing, kernel module file anti unloading and file anti tampering, as shown in Figure 43.

#### Process anti-kill

The process anti kill policy configuration list includes sequence number, process number, process name, process path and anti kill protection switch.
When multiple processes with the same name appear, the anti kill protection switch is combined into one. After the anti kill protection is turned on, these processes can be protected at the same time. The list is displayed in the stowed mode by default. Click the expand or stow button to switch the display, as shown in figures 43 to 44.

![Figure 43 Process anti-kill (default stow)-big](image/43.png)

![Figure 44 Process anti-kill (expanded)-big](image/44.png)

#### Kernel module anti-unloading

The configuration list of kernel module anti uninstall policy includes serial number, kernel module name and anti uninstall protection switch, as shown in Figure 45.

![Figure 45 Kernel module anti-uninstall-big](image/45.png)

#### File tamper-proof

The contents displayed in the configuration list of file anti tamper policy include: serial number, file name, file path and release operation. After the protected file is released, the file is automatically cleared from the list, as shown in Figure 46.

![Figure 46 File tamper-proof-big](image/46.png)

Click the "add" button to pop up the "select files to be protected" pop-up window. You can add files to be protected by yourself, as shown in Figure 47.

![Figure 47  Selecting files to be protected-big](image/47.png)

## Device security

The security center provides equipment safety functions to improve the safety of equipment use. Click the "device Security" button on the homepage or the "device Security" tab in the left menu bar to enter, as shown in Figure 48.

![Figure 48 Device Security Home Page-big](image/48.png)

### Peripheral Management

Set up peripheral management strategies to prevent system data leakage. The peripheral management function provides two mode configurations, as shown in Figure 43. On: When an unauthorized device is detected, please prompt me; Off: Allow any device to access.

Click the "Advanced Configuration" button, and the "Advanced Configuration-Peripheral Management" pop-up window will pop up, which contains four control lists: interface control, device control, permission control, and strategy control.

#### Interface control

The interface control list provides three types of interface control functions, including: USB interface, wireless network card, wired network card, as shown in Figure 49. 

The switch configuration is performed by clicking the interface icon, and the default state is all on. Among them, when the interface icon is blue, it indicates the on state, and when the interface icon is gray, it indicates the off state. 

When a certain type of interface is closed, the corresponding equipment of this interface type cannot be used normally (in order not to affect the normal operation of the user, the keyboard and mouse devices are not controlled by the USB interface). When the USB interface is set to close, the USB storage device in the corresponding device control will be automatically closed, and the USB storage device cannot be accessed normally.

![Figure 49 Interface control list-big](image/49.png)

#### Device control

The device control list provides 4 types of device control functions, including: USB storage devices, cameras, Bluetooth devices, and printers, as shown in Figure 50. 

By clicking the device icon to switch the configuration, the default state is all on. Among them, when the device icon is blue, it indicates the on state, and when the device icon is gray, it indicates the off state.

When a certain type of device is turned off, the corresponding device cannot be accessed normally.

![Figure 50 Device control list-big](image/50.png)

#### Permission control

The permission control list provides permission control functions for 3 types of devices, including: built-in CD-ROM drive, mobile CD-ROM drive and mobile storage, as shown in Figure 51.

Both the built-in CD-ROM device and the mobile CD-ROM device provide the function of controlling the permission of reading the disk and the permission of burning. Among them, the reading permission means that the user can only read the content of the optical disc through the computer's built-in optical drive device, and cannot burn anything inside the optical disk; the burning permission means that the user can perform normal reading and burning operations on the optical disc through the computer's built-in optical drive device.

The mobile storage device provides read-only permission and read-write permission permission control functions. Among them, read-only permission means that the mobile storage device can only read content and cannot write any content; read-write permission means that the mobile storage device can perform normal read and write operations.

![Figure 51 Permission control list-big](image/51.png)

#### Policy control

The policy control list contains three lists of unauthorized devices, device policies, and connection records. 

1.List of unauthorized devices

The unauthorized device list can display the information of the identified unauthorized devices in real time. The list display content includes serial number, device name, device type, device VID, device PID, serial number and operation, as shown in Figure 52.

(1)Device types include: USB storage devices, cameras, Bluetooth devices, and printers.

(2)The device name, device VID, device PID, and serial number are all automatically obtained for the currently recognized device information. 

(3)After the device is removed, the unauthorized device list will automatically clear the corresponding device information.

![Figure 52 Policy Control-Unauthorized Device List-big](image/52.png)

Policy configuration can perform policy configuration operations on corresponding devices in the unauthorized device list. Click the "Policy Configuration" button, and the "Policy Configuration" pop-up window will pop up, as shown in Figure 53. The device name is to automatically obtain the currently recognized device name information, or you can modify it yourself, then select the specific policy item (release or block), and finally click the "OK" button to complete the device policy configuration. After the policy configuration is completed, the corresponding device information will be automatically cleared from the unauthorized device list and automatically switched to the device policy control list.

![Figure 53 Unauthorized device list-policy configuration pop-up window-big](image/53.png)

2.Device policy list

The device policy list can display the configured device policy information. The list display content includes serial number, device name, device type, device VID, device PID, serial number, and policy control, as shown in Figure 54. The strategy control state can be manually configured, and the configuration items include release and block.

![Figure 54 Policy Control-Device Policy List-big](image/54.png)

In the policy control list, you can manually add device policies. Click the "Add" button, and the "Add Device" pop-up window will pop up, as shown in Figure 55. Manually add the device name, device type (USB storage device, camera, Bluetooth device, printer), device information (VID, PID, and Serial) and policy control status (release or block). After the addition is successful, the device policy control information will be automatically Add to the policy control list.

![Figure 55 Device Policy List-Device Add-big](image/55.png)

Devices in the policy control list can be deleted. Select a device and click the "Delete" button to perform the operation, as shown in Figure 56. After the deletion is complete, the device policy information will be automatically cleared.

![Figure 56 Device Policy List-Device Delete-big](image/56.png)

The device information in the policy control list can be exported. Click the "Export" button, and the "Export Device Policy" pop-up window will pop up, as shown in Figure 57. The exported file will be output in the prescribed format XML. The content of the exported file includes: device name, device information (VID, PID, and Serial) and policy control status.

![Figure 57 Device Policy List-Export Device Policy-big](image/57.png)

The device information in the policy control list can be imported, and the imported file will be input in the specified format XML, as shown in Figure 58. The import operation will not clear the original strategy information, the new strategy will be processed in an incremental manner, and the repeated strategy will be processed in the overwrite manner.

![Figure 58 Device Policy List-Import Device Policy-big](image/58.png)

3.List of connection records

The connection record list can display device access history information (only records of the past 60 days are displayed), displayed in descending order of device access time. The list display content includes device name, device type, device VID, device PID, serial number, access time, The access duration and access status are shown in Figure 59.

The device access history information in the connection record list can be exported, and the exported file will be output in the prescribed format XML, as shown in Figure 60.

![Figure 59 Policy Control-Connection Record List-big](image/59.png)

![Figure 60 Connection record list-export connection record-big](image/60.png)

When an unauthorized device is connected, the system automatically pops up the "Kylin Security Authorization Authentication" pop-up window to provide release, permanent blocking, and current blocking, as shown in Figure 61.

![Figure 61 Peripheral management-Kylin security authorization certification-big](image/61.png)

The device policy is blocking. When the device is connected, the system automatically pops up a "Security Notification" pop-up window, prompting that the device is blocked, as shown in Figure 62.

![Figure 62 Peripheral management-Security Notification-big](image/62.png)

## Appendix: Frequently Asked Questions and Solutions (FAQ)

### Security Scan
- Q: How to repair application integrity?

   A: In the Security Scan, the repair scheme is not provided temporarily. Users can view the file list in Application protection - Application execution control - Advanced settings, certify or cancel the tampered files, and reinstall the corresponding software for the damaged files.

- Q: How to repair file integrity?

   A: The repair scheme is not supported in the safety physical examination. The user can view the optimization details on the scanning end page and manually modify the corresponding file according to the details prompt.

- Q: How to update vulnerabilities and systems?

   A: When the security check-up prompts that the system is not updated or the vulnerability is not updated, the user can go to "Settings" according to the prompt to update the system or vulnerability. When the "Settings" cannot be updated, the user can manually install the vulnerability package of the corresponding version according to the prompt to repair the vulnerability risk item.

- Q: Why is the Application protection - Application security protection control still closed after repairing the process protection?

   A: The application protection control in application protection includes three functions (Process protection, Module anti unloading and File protection). The application protection control is displayed as on only when all three functions are on. The application control can be started by repairing the three modules in the safety physical examination.

- Q: Why do files without owner and group disappear after security repair?

   A: When abnormal files of owner and group are detected, it is determined that the file has the risk of being called to obtain administrator permissions. After repair, these files will be deleted. In order to avoid deleting files by mistake, users can view the risk details and check the files which files without owner and group before repair.

### Account Protection
- Q：What should I do if the account is locked for a long time or permanently after a large number of incorrect password entries?

    A: just restart the machine. At present, the system supports restart and reset, that is, after restarting the system, the locking times and locking time will be reset.

- Q: Why is it prompted to change the password?

   A: there are two situations that force the user to change the password. First, the password expires. You can set the password validity in Security Center - Account Protection - password strength - user defined. Second, the password strength changes. The set user password does not meet the current password strength rules. You can modify the password according to the prompt.

- Q: Why is the custom password strength rule unsuccessful?

A: You can first check whether the set custom policy is the same as the recommendation mode. When the custom password policy is the same as the recommendation, it will automatically switch to the recommendation mode. The password policy rules of the recommended mode can be viewed by hovering the small question mark icon with the mouse.

- Q: Why is the account locking time abnormal?

   A: when you are prompted that the account locking time is hundreds of days or more, the possible reason is that the user manually modifies the account locking time profile, or the system time is abnormal, that is, the system time when the account is locked is ahead of the current system. Restart the system to reset the locking time. In order to avoid abnormal account locking time, users need to pay attention to the system time and synchronize it with the network time.

### Virus Defense
- Q: Why does the security center not display the virus protection page after installing the third-party virus protection tool?

   A: At present, it only supports qaxtray, and users can download it through the software store.

### Network Protection
- Q: How to handle the problem that the external network cannot access this computer?

   A: On the premise of ensuring that the equipment is connected to the network and the service is normal, the administrator user can enter the Security Center - > network protection, first close the firewall and check whether the external network can be accessed. If it can be accessed, it indicates that it is caused by the firewall, and then configure different firewall policies as needed. The differences between firewall policies are as follows:are as follows:

① Public network: The default access rule allows applications connected to the network to exit, and rejects any external applications to enter;

② Office network: The default access rule allows only networked applications to be outbound and inbound;

③ Custom network: Based on the office network, you can customize the firewall policy

- Q: How to handle when the application cannot be networked?

   A: the administrator user can enter the Security Center - > network protection - networking control - advanced configuration to check whether the networking policy of the corresponding application is set to prohibit. If it is set to prohibit, the application will be prohibited from networking. Change its networking status as needed.
### Application protection
- Q: When the application source check operation box is grayed out, what should I do ?

   A: The administrator user application source detection policy box is grayed out and cannot be clicked. Please use dpkg - L to check whether the libkylin-signtool signool package has been installed. If not, please install it

- Q: Why does the installation package pop up sometimes and not sometimes?

   A: when the application source detection is set to the block mode, the unsigned software package will directly fail to install. In the warning mode, the installation authorization window will pop up when installing the unsigned software package, which needs to be confirmed by the user. You can use kylinsigntool - V xxx.deb to check whether the corresponding software package has been signed.

- Q: Why is the application execution control - advanced configuration page blank?

   A: The applications installed by default in the system are not displayed. Only the subsequently installed applications and tampered and damaged applications are displayed. You can click "details" to view the applications installed by default.

- Q: How to add user created executable files, scripts and dynamic libraries to kysec whitelist?

   A: the administrator user can enter the Security Center - > application protection - > application execution control - > advanced configuration to add the corresponding file / directory to the white list.

- Q: The kysec flag of the file is not unknown, but it still has no permission to execute. What should I do?

   A: first execute “ls -l” to check whether the current user has executable permissions on the current file; If yes, use “mount | grep data” to check whether the file has noexec in the mounting parameters of the partition. If yes, the administrator executes “sudo mount - o remount, exec / data”, and then executes.

- Q: Why application execution control list failed to add executable file?

   A: if it is a script file, you need to add a header file to the corresponding script file. Secondly, you need Lsattr < filepath > to check whether the hidden attribute is set in the file. If so, you need to remove it and add it again.

- Q: How to judge the user's permission to add and view the application execution control list?

   A: Application execution control limits the user's permission to add and view, as follows:

(1) Add permissions

① Super user (root user) can add files under all system directories;

② Administrator users (users with sudo permission) can only add files under the system directory with view permission, but cannot add system directory files without view permission (for example, other users cannot add operation directory files);

③ Ordinary users (users without sudo permission) cannot add files and can only view the file list information;

(2) Display rules

① The super user (root user) can display the applications added by all users;

② The administrator user (user with sudo authority) can only display the application with view authority and the application under the user's operation directory;

③ Ordinary users (users without sudo permission) can only display applications with view permission and applications under the user's operation directory;

- Q: Why does the execute control authorization pop-up appear during the use of the system?

   A: the administrator user can enter the Security Center - > application protection - > application execution control - > advanced configuration to check whether the file status corresponding to the authorization window is tampered or damaged. For the tampered file, the user can authenticate or cancel the authentication status of the file. For the damaged file, the software package corresponding to the file needs to be reinstalled.
- Q: Why can't the application process be killed?

   A: To check whether the corresponding process has enabled process anti killing, you can enter the Security Center - > application protection - > application protection control - > process anti killing list through the administrator user. After closing, it can be killed normally. The next time you need protection, you can open it again.
- Q: The kernel module cannot be uninstalled. What should I do?

   A: The administrator user can enter the Security Center - > application protection - > application protection control - > kernel module anti uninstall, check whether the anti uninstall switch of the corresponding kernel module is turned on, and turn off the anti uninstall switch of the kernel module to uninstall normally. The next time you need protection, you can open it again.
- Q: Why can't the file be deleted?

   A: to check whether the file is tamper proof, you can enter the Security Center - > application protection - > application protection control - > file tamper proof list through the administrator user. After cancellation, it can be deleted normally.
- Q: Why can't you turn on the networked control and execute the control and protection control?

   A: Use the terminal command getstatus to check the kysec status. When the kysec status is in soft mode, each function item cannot be opened normally. After using the command setstatus enable, each function item can be opened normally.
